export declare class UITab {
    protected element: Element;
    id: string;
    label: string;
    tooltip: string;
    icon: string;
    active: boolean;
    disabled: boolean;
    view: AnyObject;
    model: AnyObject;
    viewModel: AnyObject;
    backgroundColor: string;
    textColor: string;
    classes: string;
    closeable: boolean;
    private styleObject;
    constructor(element: Element);
    protected bind(): void;
    private resetColors;
    textColorChanged(): void;
    backgroundColorChanged(): void;
}
